Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154204 - It is unclear what it refers to in system-config-users messages
Summary: It is unclear what it refers to in system-config-users messages
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-users
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-08 12:34 UTC by Christian Rose
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-05 15:04:57 UTC


Attachments (Terms of Use)

Description Christian Rose 2005-04-08 12:34:01 UTC
#: ../src/mainWindow.py:639
msgid "- It is part of an installed software package."

#: ../src/mainWindow.py:641
msgid ""
"- It belongs to a system user and removing it may impair the system's "
"integrity."

#: ../src/mainWindow.py:643
msgid "- It doesn't exist or isn't writable."

#: ../src/mainWindow.py:645
#, python-format
msgid "- It isn't owned by the user '%s'."

I doubt that starting a new paragraph with "it" is good English.
In any case, starting a new paragraph or seperately marked message with "it"
causes big problems for translation, because in many languages, the "it" or
other parts of the sentences may need different translations, depending on what
object the "it" actually refers to.

I would recommend that these sentences are rephrased, and made stand-alone and
complete, i.e.:

  "I could not delete the foo %s, because it doesn't exist."

  "I could not delete the foo %s, because it is part of an installed software
package."

  ...

This would result in more messages, but they would probably end up being better
English, and they would be much easier to translate, and it would be possible to
translate them correctly, which isn't the case now.

Comment 1 Nils Philippsen 2006-04-05 15:04:57 UTC
I've fixed this in rhlinux CVS.

Comment 2 Nils Philippsen 2006-04-05 15:09:56 UTC
system-config-users-1.2.44-1 is building right now in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.